# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class GphotoFeed<F extends GphotoFeed>

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<F,E>
                      com.google.gdata.data.media.MediaFeed<F,GphotoEntry>
                          com.google.gdata.data.photos.GphotoFeed<F>

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor, AtomData, Extensible, GphotoData

Direct Known Subclasses:
  AlbumFeed, PhotoFeed, UserFeed

    public class GphotoFeed<F extends GphotoFeed>

extends MediaFeed<F,GphotoEntry>
implements GphotoData, AtomData

This class customizes the generic MediaFeed class to define a feed of GphotoEntries. It also adds support for the GphotoData interface methods so all subclasses have the base access methods available. In addition it provides access to a consistent description field across both RSS and ATOM.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`` `GphotoFeed()` Construct a new `GphotoFeed` instance that is parameterized to contain `GphotoEntry` instances.
`` `GphotoFeed(BaseFeed<?,?> sourceFeed)` Construct a new `GphotoFeed` instance parameterized to contain `GphotoEntry` instances.
`protected` `GphotoFeed(java.lang.Class<? extends GphotoEntry> entryClass)` Construct a new `GphotoFeed` instance parameterized to contain the given `GphotoEntry` type.
`protected` `GphotoFeed(java.lang.Class<? extends GphotoEntry> entryClass, BaseFeed sourceFeed)` Construct a new `GphotoFeed` instance parameterized to contain the given `GphotoEntry` subclass.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`void` `generateRss(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Generates XML in the RSS format.
`TextConstruct` `getDescription()` Description on a feed is just the subtitle.
`java.lang.String` `getGphotoId()` Return the gphoto:id of this feed.
`void` `setDescription(TextConstruct description)` Description on a feed is just the subtitle.
`void` `setGphotoId(java.lang.Long id)` Set the gphoto:id of this feed as a long.
`void` `setGphotoId(java.lang.String id)` Set the gphoto:id of this feed as a string.

Methods inherited from class com.google.gdata.data.media.MediaFeed
`insert, insert, setService`

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getId, getLinks, getRights, getTitle, getUpdated, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### GphotoFeed

    public GphotoFeed()

  Construct a new `GphotoFeed` instance that is parameterized to contain `GphotoEntry` instances.

### GphotoFeed

    protected GphotoFeed(java.lang.Class<? extends GphotoEntry> entryClass)

  Construct a new `GphotoFeed` instance parameterized to contain the given `GphotoEntry` type. This should be used by subclasses to set up subclassed entry types as needed.

### GphotoFeed

    public GphotoFeed(BaseFeed<?,?> sourceFeed)

  Construct a new `GphotoFeed` instance parameterized to contain `GphotoEntry` instances. The source data for the feed will be pulled from the `BaseFeed` instance that was passed as source.

### GphotoFeed

    protected GphotoFeed(java.lang.Class<? extends GphotoEntry> entryClass,
                         BaseFeed sourceFeed)

  Construct a new `GphotoFeed` instance parameterized to contain the given `GphotoEntry` subclass. The base state of the feed will be drawn from the passed in `BaseFeed` instance. This constructor should be used by subclasses to change the entry type supported by the feed.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `BaseFeed<F extends GphotoFeed,GphotoEntry>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### generateRss

    public void generateRss(com.google.gdata.util.common.xml.XmlWriter w,
                            ExtensionProfile extProfile)
                     throws java.io.IOException

  Description copied from class: `BaseFeed`
  Generates XML in the RSS format.

  Overrides:
    `generateRss` in class `BaseFeed<F extends GphotoFeed,GphotoEntry>`
  Parameters:
    `w` - Output writer.
    `extProfile` - Extension profile.
  Throws:
    `java.io.IOException`

### getDescription

    public TextConstruct getDescription()

  Description on a feed is just the subtitle.

  Specified by:
    `getDescription` in interface `AtomData`
  Returns:
    the description of the entry or feed.

### setDescription

    public void setDescription(TextConstruct description)

  Description on a feed is just the subtitle.

  Specified by:
    `setDescription` in interface `AtomData`

### getGphotoId

    public java.lang.String getGphotoId()

  Return the gphoto:id of this feed.

  Specified by:
    `getGphotoId` in interface `GphotoData`
  Returns:
    the Gphoto id.

### setGphotoId

    public void setGphotoId(java.lang.Long id)

  Set the gphoto:id of this feed as a long.

  Specified by:
    `setGphotoId` in interface `GphotoData`
  Parameters:
    `id` - the long version of the id of this feed or entry.

### setGphotoId

    public void setGphotoId(java.lang.String id)

  Set the gphoto:id of this feed as a string.

  Specified by:
    `setGphotoId` in interface `GphotoData`
  Parameters:
    `id` - the string version of the id of this feed or entry.